> ## Documentation Index
> Fetch the complete documentation index at: https://signatureapi-daf4ee54.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a file (Deprecated)

> Retrieves the details of an existing temporary file.

<Warning>
  The File resource and the `/v1/files` endpoint have been replaced by the [Upload resource](/docs/api/resources/uploads/object). New integrations should use Uploads:

  * [Get an upload](/docs/api/resources/uploads/get)
  * [Upload object](/docs/api/resources/uploads/object)
</Warning>

Retrieves the details of an existing file, including its expiration time.

## Path Parameters

<ParamField path="file_id" type="string" required>
  The unique identifier of the file.
</ParamField>

## Returns

Returns a `200 OK` status code along with [a file object](/docs/api/resources/files/object) if the file exists, or an [error](/docs/api/errors) otherwise.

<RequestExample>
  ```json Request theme={null}
  // GET https://api.signatureapi.com/v1/files/{file_id}
  // X-API-Key: key_test_...
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  // HTTP Status Code 200

  {
    "id": "fil_0nZXZ8pYPByQ4XksJbDl4r",
    "expires_at": "2025-12-31T20:00:00.000Z"
  }
  ```
</ResponseExample>
